<?php

namespace AutoAdmin\Bundle\BrickBuilder\Model;

interface RenderingBrickInterface
{
    public function getUnderlyingBrick(): ?BrickInterface;

    public function setUnderlyingBrick(BrickInterface $underlyingBrick): void;

    public function getRenderingIndex(): ?int;

    public function setRenderingIndex(?int $renderingIndex): void;
}